Get the results of the consignment consumables report as an xlsx file

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • consignmentType
    Type: integerenum

    Integer numbers.

    values
    • PointToPoint = 0
    • Inwards = 1
    • Outwards = 2
  • consumableTypeIds
    Type: array string[]

    The consumable types to filter by

  • dateFrom
    Type: stringFormat: date

    The start date in the consignment date range

  • dateTo
    Type: stringFormat: date

    The end date in the consignment date range

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • 200

    OK

Request Example for post/v1/reports/consignment-consumables/xlsx
curl https://api.consignlyhq.com/v1/reports/consignment-consumables/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "consignmentType": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
  "clientPartnerId": null,
  "warehouseId": null,
  "consumableTypeIds": [
    ""
  ]
}'
No Body